Loading...
Searching...
No Matches
pcl::gpu::ParticleFilterGPUTracker Class Reference

`#include </build/pcl-oe1NcQ/pcl-1.14.0+dfsg/gpu/tracking/include/pcl/gpu/tracking/particle_filter.h>`

## Public Types

using | PointType = pcl::PointXYZ
| Point type supported.
using | PixelRGB = pcl::RGB
using | StateXYZ = pcl::PointXYZ
using | StateRPY = pcl::PointXYZ
using | StateType = pcl::tracking::ParticleXYZRPY

## Public Member Functions

| ParticleFilterGPUTracker ()
| Empty constructor.
void | setParticleNum (const int particle_num)
| set the number of the particles.
int | getParticleNum () const
| get the number of the particles.
void | setReferenceCloud (const DeviceArray2D< PointType > &ref)
| set a pointer to a reference dataset to be tracked.
DeviceArray2D< PointType > const | getReferenceCloud ()
| get a pointer to a reference dataset to be tracked.
int | cols ()
int | rows ()
virtual bool | operator() (const DeviceArray2D< PointType > &input, const DeviceArray2D< PixelRGB > &input_colors)
virtual void | setMotion (StateType motion)
virtual StateType | getResult ()

## Protected Member Functions

virtual bool | initCompute ()
virtual void | computeTracking ()
virtual void | allocateBuffers ()

## Protected Attributes

std::string | tracker_name_
DeviceArray2D< PointType > | ref_
DeviceArray2D< PixelRGB > | ref_colors_
DeviceArray2D< PointType > | input_
DeviceArray2D< PixelRGB > | input_colors_
DeviceArray< StateType > | particles_
DeviceArray< curandState > | rng_states
int | particle_num_
std::vector< float > | step_noise_covariance_
std::vector< float > | initial_noise_covariance_
std::vector< float > | initial_noise_mean_
StateType | motion_
float | motion_ratio_
bool | use_colors_
StateType | representative_state_
int | rows_
| Height of input depth image.
int | cols_
| Width of input depth image.

## Detailed Description

Definition at line 20 of file particle_filter.h.

## Member Typedef Documentation

## PixelRGB

using pcl::gpu::ParticleFilterGPUTracker::PixelRGB = pcl::RGB

Definition at line 26 of file particle_filter.h.

## PointType

using pcl::gpu::ParticleFilterGPUTracker::PointType = pcl::PointXYZ

Point type supported.

Definition at line 24 of file particle_filter.h.

## StateRPY

using pcl::gpu::ParticleFilterGPUTracker::StateRPY = pcl::PointXYZ

Definition at line 29 of file particle_filter.h.

## StateType

using pcl::gpu::ParticleFilterGPUTracker::StateType = pcl::tracking::ParticleXYZRPY

Definition at line 31 of file particle_filter.h.

## StateXYZ

using pcl::gpu::ParticleFilterGPUTracker::StateXYZ = pcl::PointXYZ

Definition at line 28 of file particle_filter.h.

## Constructor & Destructor Documentation

## ParticleFilterGPUTracker()

pcl::gpu::ParticleFilterGPUTracker::ParticleFilterGPUTracker | ( |  | ) |

inline

Empty constructor.

Definition at line 34 of file particle_filter.h.

References tracker_name_.

## Member Function Documentation

## allocateBuffers()

virtual void pcl::gpu::ParticleFilterGPUTracker::allocateBuffers | ( |  | ) |

inline protected virtual

Definition at line 96 of file particle_filter.h.

References particle_num_, and particles_.

## cols()

int pcl::gpu::ParticleFilterGPUTracker::cols | ( |  | ) |

## computeTracking()

virtual void pcl::gpu::ParticleFilterGPUTracker::computeTracking | ( |  | ) |

inline protected virtual

Definition at line 90 of file particle_filter.h.

## getParticleNum()

int pcl::gpu::ParticleFilterGPUTracker::getParticleNum | ( |  | ) | const

inline

get the number of the particles.

Definition at line 48 of file particle_filter.h.

References particle_num_.

## getReferenceCloud()

DeviceArray2D< PointType > const pcl::gpu::ParticleFilterGPUTracker::getReferenceCloud | ( |  | ) |

inline

get a pointer to a reference dataset to be tracked.

Definition at line 58 of file particle_filter.h.

References ref_.

## getResult()

virtual StateType pcl::gpu::ParticleFilterGPUTracker::getResult | ( |  | ) |

virtual

## initCompute()

virtual bool pcl::gpu::ParticleFilterGPUTracker::initCompute | ( |  | ) |

inline protected virtual

Definition at line 83 of file particle_filter.h.

## operator()()

virtual bool pcl::gpu::ParticleFilterGPUTracker::operator() | ( | const DeviceArray2D< PointType > & | input,
|  | const DeviceArray2D< PixelRGB > & | input_colors
| ) |  |

inline virtual

Definition at line 67 of file particle_filter.h.

## rows()

int pcl::gpu::ParticleFilterGPUTracker::rows | ( |  | ) |

## setMotion()

virtual void pcl::gpu::ParticleFilterGPUTracker::setMotion | ( | StateType | motion | ) |

inline virtual

Definition at line 73 of file particle_filter.h.

References motion_.

## setParticleNum()

void pcl::gpu::ParticleFilterGPUTracker::setParticleNum | ( | const int | particle_num | ) |

inline

set the number of the particles.

Parameters

  particle_num | the number of the particles.

Definition at line 44 of file particle_filter.h.

References particle_num_.

## setReferenceCloud()

void pcl::gpu::ParticleFilterGPUTracker::setReferenceCloud | ( | const DeviceArray2D< PointType > & | ref | ) |

inline

set a pointer to a reference dataset to be tracked.

Parameters

  ref | a pointer to a PointCloud message

Definition at line 54 of file particle_filter.h.

References ref_.

## Member Data Documentation

## cols_

int pcl::gpu::ParticleFilterGPUTracker::cols_

protected

Width of input depth image.

Definition at line 143 of file particle_filter.h.

## initial_noise_covariance_

std::vector<float> pcl::gpu::ParticleFilterGPUTracker::initial_noise_covariance_

protected

Definition at line 128 of file particle_filter.h.

## initial_noise_mean_

std::vector<float> pcl::gpu::ParticleFilterGPUTracker::initial_noise_mean_

protected

Definition at line 130 of file particle_filter.h.

## input_

DeviceArray2D<PointType> pcl::gpu::ParticleFilterGPUTracker::input_

protected

Definition at line 112 of file particle_filter.h.

## input_colors_

DeviceArray2D<PixelRGB> pcl::gpu::ParticleFilterGPUTracker::input_colors_

protected

Definition at line 114 of file particle_filter.h.

## motion_

StateType pcl::gpu::ParticleFilterGPUTracker::motion_

protected

Definition at line 132 of file particle_filter.h.

Referenced by setMotion().

## motion_ratio_

float pcl::gpu::ParticleFilterGPUTracker::motion_ratio_

protected

Definition at line 134 of file particle_filter.h.

## particle_num_

int pcl::gpu::ParticleFilterGPUTracker::particle_num_

protected

Definition at line 124 of file particle_filter.h.

Referenced by allocateBuffers(), getParticleNum(), and setParticleNum().

## particles_

DeviceArray<StateType> pcl::gpu::ParticleFilterGPUTracker::particles_

protected

Definition at line 119 of file particle_filter.h.

Referenced by allocateBuffers().

## ref_

DeviceArray2D<PointType> pcl::gpu::ParticleFilterGPUTracker::ref_

protected

Definition at line 105 of file particle_filter.h.

Referenced by getReferenceCloud(), and setReferenceCloud().

## ref_colors_

DeviceArray2D<PixelRGB> pcl::gpu::ParticleFilterGPUTracker::ref_colors_

protected

Definition at line 107 of file particle_filter.h.

## representative_state_

StateType pcl::gpu::ParticleFilterGPUTracker::representative_state_

protected

Definition at line 138 of file particle_filter.h.

## rng_states

DeviceArray<curandState> pcl::gpu::ParticleFilterGPUTracker::rng_states

protected

Definition at line 122 of file particle_filter.h.

## rows_

int pcl::gpu::ParticleFilterGPUTracker::rows_

protected

Height of input depth image.

Definition at line 141 of file particle_filter.h.

## step_noise_covariance_

std::vector<float> pcl::gpu::ParticleFilterGPUTracker::step_noise_covariance_

protected

Definition at line 126 of file particle_filter.h.

## tracker_name_

std::string pcl::gpu::ParticleFilterGPUTracker::tracker_name_

protected

Definition at line 80 of file particle_filter.h.

Referenced by ParticleFilterGPUTracker().

## use_colors_

bool pcl::gpu::ParticleFilterGPUTracker::use_colors_

protected

Definition at line 136 of file particle_filter.h.

The documentation for this class was generated from the following file:

- /build/pcl-oe1NcQ/pcl-1.14.0+dfsg/gpu/tracking/include/pcl/gpu/tracking/particle_filter.h